TONTONDocs
TON CenterAPI referenceAccounts

Get address balance

Return the TON balance of an account in nanotons.

GET
/api/v2/getAddressBalance

Query Parameters

address*string

The account address to query.

seqno?integer

Query state at a specific block height. If omitted, returns the current state. Use this to look up historical data at a specific point in time.

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getAddressBalance?address=EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs"
{
  "ok": true,
  "result": "string",
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "empty address"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings